none
Deployment Question Regarding .Net Framework 3.5 Service Pack 1 Full Install RRS feed

  • Question

  • When you install .Net Framework 3.5 Service Pack 1 (full install) onto a server that has an older version of .Net Framework installed (such as, .Net Framework 2.0 only), will the existing installation be overwritten?
    Tuesday, March 13, 2012 11:01 PM

Answers

  • If you use the full cumulative update to .NET Framework 3.5 SP1 on a system with .NET Framework 2.0, it is possible that some 2.0 components will be replaced with updated components.

    Here's why: .NET Framework 3.0 is an extension of 2.0, not a full framework. The standalone cumulative installer for 3.5 SP1 contains all components needed to install or update (as required) .NET Framework 2.0 (the base framework) and its extensions, .NET Framework 3.0 and 3.5 along with all published updates (Service Packs, etc.) to 2.0. 3.0 and 3.5 to bring it up to 3.5 SP1.

    The full, cumulative installer is here:

    http://download.microsoft.com/download/2/0/e/20e90413-712f-438c-988e-fdaa79a8ac3d/dotnetfx35.exe 

    If you have any further questions, please ask.

    • Proposed as answer by Alexander Sun Thursday, March 15, 2012 8:32 AM
    • Marked as answer by Alexander Sun Tuesday, March 20, 2012 4:37 AM
    Wednesday, March 14, 2012 4:12 PM

All replies

  • Hi Anthony,

    No.

    not overwrite Older version of framework.

    Regards

    Sneha

    Wednesday, March 14, 2012 4:09 AM
  • If you use the full cumulative update to .NET Framework 3.5 SP1 on a system with .NET Framework 2.0, it is possible that some 2.0 components will be replaced with updated components.

    Here's why: .NET Framework 3.0 is an extension of 2.0, not a full framework. The standalone cumulative installer for 3.5 SP1 contains all components needed to install or update (as required) .NET Framework 2.0 (the base framework) and its extensions, .NET Framework 3.0 and 3.5 along with all published updates (Service Packs, etc.) to 2.0. 3.0 and 3.5 to bring it up to 3.5 SP1.

    The full, cumulative installer is here:

    http://download.microsoft.com/download/2/0/e/20e90413-712f-438c-988e-fdaa79a8ac3d/dotnetfx35.exe 

    If you have any further questions, please ask.

    • Proposed as answer by Alexander Sun Thursday, March 15, 2012 8:32 AM
    • Marked as answer by Alexander Sun Tuesday, March 20, 2012 4:37 AM
    Wednesday, March 14, 2012 4:12 PM
  • Dumb question::  Do I need to uninstall Ver 1.1 before installing v3.5??   (I have a program which requires V2.0 and my WinXP system has only ver 1.1 installed!)  Yes I am a very green newbie at this !!
    Saturday, March 17, 2012 3:06 AM
  • Hi, navi8or.

    No you do not need to remove .NET Framework 1.1 before installing 3.5. The two .NET Frameworks are separate and independent of each other.

    Please be sure to use the cumulative installer I linked in my previous reply:

    http://download.microsoft.com/download/2/0/e/20e90413-712f-438c-988e-fdaa79a8ac3d/dotnetfx35.exe 

    Saturday, March 17, 2012 1:55 PM